package cn.iocoder.yudao.module.system.controller.admin.robot.camera;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 车辆摄像头信息新增/修改 Request VO")
@Data
public class RobotCameraSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "30856")
    private Long id;

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "摄像头位置(0:上, 1:左, 2:右, 3:下, 4:后)")
    private Integer cameraPosition;

    @Schema(description = "摄像头IP")
    private String cameraIp;

    @Schema(description = "摄像头端口")
    private String cameraPort;

    @Schema(description = "摄像头账号", example = "24863")
    private String cameraAccount;

    @Schema(description = "摄像头密码")
    private String cameraPassword;

}