package cn.iocoder.yudao.module.system.controller.admin.robot.mapstop;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 车辆(地图)急停记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RobotMapStopRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "1220")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "急停仓库点位地图表id", example = "20550")
    @ExcelProperty("急停仓库点位地图表id")
    private Long positionMapId;

    @Schema(description = "急停的AGV编号")
    @ExcelProperty("急停的AGV编号")
    private String robotNo;

    @Schema(description = "类型（0：地图、1：车辆）", example = "2")
    @ExcelProperty("类型（0：地图、1：车辆）")
    private Integer stopType;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}