package cn.iocoder.yudao.module.system.controller.admin.robot.task;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * PP分配的任务
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskPPDistribution {

    @Schema(description = "robot_task_detail/robot_charge_log 的 id")
    private Long id;

    @Schema(description = "任务类型(TASK:robot_task的任务、CHARGE:充电任务)")
    private String type;

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "取的路径")
    private List<TaskPathPlanningDTO> takes;

    @Schema(description = "放的路径")
    private List<TaskPathPlanningDTO> releases;
}
