package cn.iocoder.yudao.module.system.dal.dataobject.remote;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 远遥设备信息 DO
 *
 * @author 陈宾顺
 */
@TableName("remote_controller_information")
@KeySequence("remote_controller_information_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RemoteControllerInformationDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 远遥的设备IP
     */
    private String remoteIp;
    /**
     * AGV编号
     */
    private String robotNo;
    /**
     * 远遥模式(0:自动模式, 1:手动模式, 2:自由模式)
     */
    private Integer remoteMode;
    /**
     * 协控(0:关闭协控, 1:开启协控)
     */
    private Integer collaborativeControl;
    /**
     * 远遥的其他信息
     */
    private String remoteMsg;

    /**
     * 服务IP
     */
    private String systemIp;

    /**
     * 服务端口
     */
    private String systemPort;


    /**
     * robot_task_detail的id
     */
    @TableField(updateStrategy  = FieldStrategy.IGNORED)
    private Long taskDetailId;
}