package cn.iocoder.yudao.module.system.dal.dataobject.wait;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 车辆前往等待点记录 DO
 *
 * @author 陈宾顺
 */
@TableName("robot_move_to_wait")
@KeySequence("robot_move_to_wait_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MoveToWaitDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * AGV编号
     */
    private String robotNo;
    /**
     * 地图字表节点id
     */
    private Long positionMapItemId;
    /**
     * 任务状态(0：未开始、1：前往等待点、2：已到达等待点、3：已离开等待点)
     */
    private Integer waitStatus;

}